File: metadata.yml

package info (click to toggle)
ruby-distribution 0.7.3+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 624 kB
  • ctags: 379
  • sloc: ruby: 4,283; makefile: 7
file content (195 lines) | stat: -rw-r--r-- 5,503 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
--- !ruby/object:Gem::Specification
name: distribution
version: !ruby/object:Gem::Version
  version: 0.7.3
platform: ruby
authors:
- Claudio Bustos
autorequire: 
bindir: bin
cert_chain: []
date: 2015-05-28 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: bundler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rspec
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.2'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.2'
description: Distribution
email:
- clbustos@gmail.com
executables:
- distribution
extensions: []
extra_rdoc_files: []
files:
- ".gitignore"
- ".travis.yml"
- Gemfile
- History.txt
- LICENCE.md
- README.md
- Rakefile
- benchmark/binomial_coefficient.rb
- benchmark/binomial_coefficient/binomial_coefficient.ds
- benchmark/binomial_coefficient/binomial_coefficient.xls
- benchmark/binomial_coefficient/experiment.rb
- benchmark/factorial_hash.rb
- benchmark/factorial_method.rb
- benchmark/odd.rb
- benchmark/power.rb
- bin/distribution
- data/template/distribution.erb
- data/template/distribution/gsl.erb
- data/template/distribution/ruby.erb
- data/template/spec.erb
- distribution.gemspec
- lib/distribution.rb
- lib/distribution/beta.rb
- lib/distribution/beta/gsl.rb
- lib/distribution/beta/java.rb
- lib/distribution/beta/ruby.rb
- lib/distribution/binomial.rb
- lib/distribution/binomial/gsl.rb
- lib/distribution/binomial/java.rb
- lib/distribution/binomial/ruby.rb
- lib/distribution/bivariatenormal.rb
- lib/distribution/bivariatenormal/gsl.rb
- lib/distribution/bivariatenormal/java.rb
- lib/distribution/bivariatenormal/ruby.rb
- lib/distribution/bivariatenormal/statistics2.rb
- lib/distribution/chisquare.rb
- lib/distribution/chisquare/gsl.rb
- lib/distribution/chisquare/java.rb
- lib/distribution/chisquare/ruby.rb
- lib/distribution/chisquare/statistics2.rb
- lib/distribution/exponential.rb
- lib/distribution/exponential/gsl.rb
- lib/distribution/exponential/ruby.rb
- lib/distribution/f.rb
- lib/distribution/f/gsl.rb
- lib/distribution/f/java.rb
- lib/distribution/f/ruby.rb
- lib/distribution/f/statistics2.rb
- lib/distribution/gamma.rb
- lib/distribution/gamma/gsl.rb
- lib/distribution/gamma/java.rb
- lib/distribution/gamma/ruby.rb
- lib/distribution/hypergeometric.rb
- lib/distribution/hypergeometric/gsl.rb
- lib/distribution/hypergeometric/java.rb
- lib/distribution/hypergeometric/ruby.rb
- lib/distribution/logistic.rb
- lib/distribution/logistic/ruby.rb
- lib/distribution/lognormal.rb
- lib/distribution/lognormal/gsl.rb
- lib/distribution/lognormal/ruby.rb
- lib/distribution/math_extension.rb
- lib/distribution/math_extension/chebyshev_series.rb
- lib/distribution/math_extension/erfc.rb
- lib/distribution/math_extension/exponential_integral.rb
- lib/distribution/math_extension/gammastar.rb
- lib/distribution/math_extension/gsl_utilities.rb
- lib/distribution/math_extension/incomplete_beta.rb
- lib/distribution/math_extension/incomplete_gamma.rb
- lib/distribution/math_extension/log_utilities.rb
- lib/distribution/normal.rb
- lib/distribution/normal/gsl.rb
- lib/distribution/normal/java.rb
- lib/distribution/normal/ruby.rb
- lib/distribution/normal/statistics2.rb
- lib/distribution/normalmultivariate.rb
- lib/distribution/poisson.rb
- lib/distribution/poisson/gsl.rb
- lib/distribution/poisson/java.rb
- lib/distribution/poisson/ruby.rb
- lib/distribution/t.rb
- lib/distribution/t/gsl.rb
- lib/distribution/t/java.rb
- lib/distribution/t/ruby.rb
- lib/distribution/t/statistics2.rb
- lib/distribution/version.rb
- lib/distribution/weibull.rb
- lib/distribution/weibull/gsl.rb
- lib/distribution/weibull/ruby.rb
- spec/beta_spec.rb
- spec/binomial_spec.rb
- spec/bivariatenormal_spec.rb
- spec/chisquare_spec.rb
- spec/distribution_spec.rb
- spec/exponential_spec.rb
- spec/f_spec.rb
- spec/gamma_spec.rb
- spec/hypergeometric_spec.rb
- spec/logistic_spec.rb
- spec/lognormal_spec.rb
- spec/math_extension_spec.rb
- spec/normal_spec.rb
- spec/poisson_spec.rb
- spec/shorthand_spec.rb
- spec/spec.opts
- spec/spec_helper.rb
- spec/t_spec.rb
- spec/weibull_spec.rb
- vendor/java/commons-math-2.2.jar
homepage: https://github.com/sciruby/distribution
licenses: []
metadata: {}
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.4.5
signing_key: 
specification_version: 4
summary: Distribution
test_files: []